Index: trunk/SophyaLib/BaseTools/Makefile
===================================================================
--- trunk/SophyaLib/BaseTools/Makefile	(revision 509)
+++ trunk/SophyaLib/BaseTools/Makefile	(revision 510)
@@ -3,29 +3,31 @@
 all: $(LIB)libSysTools.a
 clean:
-	rm -f $(OBJ)ctimer.o $(OBJ)exceptions.o $(OBJ)pdlmgr.o $(OBJ)periodic.o $(OBJ)ppersist.o $(OBJ)psighand.o $(OBJ)timing.o
+	rm -f $(OBJ)ctimer.o $(OBJ)ndatablock.o $(OBJ)pdlmgr.o $(OBJ)peidainit.o $(OBJ)periodic.o $(OBJ)pexceptions.o $(OBJ)ppersist.o $(OBJ)psighand.o $(OBJ)md5.o $(OBJ)timing.o
 	rm $(LIB)libSysTools.a
-$(LIB)libSysTools.a : $(OBJ)ctimer.o $(OBJ)exceptions.o $(OBJ)pdlmgr.o $(OBJ)periodic.o $(OBJ)ppersist.o $(OBJ)psighand.o $(OBJ)timing.o
-	$(AR) $(ARFLAGS) $@ $?
+$(LIB)libSysTools.a : $(OBJ)ctimer.o $(OBJ)md5.o $(OBJ)ndatablock.o $(OBJ)pdlmgr.o $(OBJ)peidainit.o $(OBJ)periodic.o $(OBJ)pexceptions.o $(OBJ)ppersist.o $(OBJ)psighand.o $(OBJ)timing.o
+	$(ARCXX) $(ARCXXFLAGS) $@ $?
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lSysTools -lNTools -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lSysTools -lNTools -lSamba -o $(OBJ)xx.x -Hf
 endif 
  
-$(OBJ)ctimer.o: ctimer.cc defs.h ctimer.h \
- $(INC)peida.h \
- $(INC)defs.h \
- $(INC)utils.h \
- $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)fmath.h
-$(OBJ)exceptions.o: exceptions.cc defs.h exceptions.h peidainit.h perrors.h
-$(OBJ)pdlmgr.o: pdlmgr.cc pdlmgr.h defs.h
-$(OBJ)periodic.o: periodic.cc defs.h periodic.h
-$(OBJ)ppersist.o: ppersist.cc defs.h peidainit.h ppersist.h machine.h \
- perrors.h exceptions.h $(INC)pclassids.h \
- $(INC)dates.h \
- $(INC)exceptions.h
-$(OBJ)psighand.o: psighand.cc psighand.h defs.h perrors.h exceptions.h \
- peidainit.h
+$(OBJ)ctimer.o: ctimer.cc machdefs.h \
+ $(INC)pclassids.h ctimer.h
+$(OBJ)ndatablock.o: ndatablock.cc machdefs.h \
+ $(INC)pclassids.h pexceptions.h \
+ ndatablock.h anydataobj.h ppersist.h md5.h objfio.h piocmplx.h
+$(OBJ)pdlmgr.o: pdlmgr.cc pdlmgr.h machdefs.h \
+ $(INC)pclassids.h
+$(OBJ)peidainit.o: peidainit.cc machdefs.h \
+ $(INC)pclassids.h pexceptions.h ppersist.h \
+ md5.h peidainit.h ndatablock.h anydataobj.h
+$(OBJ)periodic.o: periodic.cc machdefs.h \
+ $(INC)pclassids.h periodic.h
+$(OBJ)pexceptions.o: pexceptions.cc pexceptions.h machdefs.h \
+ $(INC)pclassids.h
+$(OBJ)ppersist.o: ppersist.cc machdefs.h \
+ $(INC)pclassids.h pexceptions.h peidainit.h \
+ ppersist.h md5.h
+$(OBJ)psighand.o: psighand.cc psighand.h machdefs.h \
+ $(INC)pclassids.h pexceptions.h
+$(OBJ)md5.o: md5.c md5.h
 $(OBJ)timing.o: timing.c
Index: trunk/SophyaLib/Mgr/Makefile
===================================================================
--- trunk/SophyaLib/Mgr/Makefile	(revision 509)
+++ trunk/SophyaLib/Mgr/Makefile	(revision 510)
@@ -1,6 +1,9 @@
 include Mgr/Makefile.h
-LIBF =  $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libSamba.a
-LIBS = -L$(LIB) -lSysTools -lNTools -lSamba -lm
+LIBF =  $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libSamba.a $(LIB)libFitsIOServer.a
+LIBS = -L$(LIB) -lSysTools -lNTools -lSamba -lFitsIOServer -lm
 LIBG = -L$(GLB) -lstdc++
+ifeq ($(HOSTTYPE), powerpc)
+  LIBG = -L$(GLB)
+endif
 
 defaut: libs
@@ -13,5 +16,5 @@
 # pour instantiation automatique/manuels
 
-cxxlibs: Blitz SysTools NTools Samba 
+cxxlibs: Blitz SysTools NTools Samba FitsIOServer
 
 .PHONY:  Blitz
@@ -31,4 +34,8 @@
 	if [ -d Samba ] ; then cd  Samba ; $(MAKE) ; fi
  
+.PHONY:  FitsIOServer
+FitsIOServer:
+	if [ -d FitsIOServer ] ; then cd  FitsIOServer ; $(MAKE) ; fi
+ 
 .PHONY: PI
 PI:
@@ -42,4 +49,6 @@
 slbpi: slb $(SLB)libPI.so
 
+#  Chemin des librairies Motifs / X11 (pour chemin non standard)
+LIBXPATH :=
 #  Commande de construction de shared-lib 
 CMDSHL := ld -partage
@@ -55,6 +64,27 @@
 CMDTILSHL := echo 'Cas Non Prevu'
 CMDTILSHLPI := echo 'Cas Non Prevu'
-#  Chemin des librairies Motifs / X11 (pour chemin non standard)
-LIBXPATH :=
+# Utilisation du compilo C++ comme driver pour fabrication des shared-libs
+CMDSHLCXX := $(LINK.cc) 
+FGSHLACXX :=  
+FGSHLNCXX := 
+#  S'il faut utiliser $(CMDSHLCXX) pour fabrication des shared-libs
+USECXX4SO := N
+# On utilise le compilo g++ pour la fabrication des shared libs
+ifeq ($(EROSCXX), g++)
+  override USECXX4SO := Y
+  override CMDSHLCXX := $(LINK.cc) -shared
+endif
+
+# On utilise le compilo KCC pour la fabrication des shared libs
+ifeq ($(EROSCXX), KCC)
+  override USECXX4SO := Y
+  override CMDSHLCXX := $(LINK.cc)
+endif
+
+# On utilise le compilo aCC (HP) pour la fabrication des shared libs
+ifeq ($(EROSCXX), aCC)
+  override USECXX4SO := Y
+  override CMDSHLCXX := $(LINK.cc) -b
+endif
 
 # Construction de shared-libs sous OSF1
@@ -74,6 +104,8 @@
     override TILSHLPI := 
     override CMDTILSHLPI := echo 'No Template instanciation library'
+    override USECXX4SO := N
   endif
-  override CMDSHLCXX := $(LINK.cc) -shared 
+#  Attention - Dangereux de mettre -expect_unresolved , $CHECK$  Reza 20/10/99
+  override CMDSHLCXX := $(LINK.cc) -shared -expect_unresolved '*' 
   override FGSHLACXX := 
   override FGSHLNCXX := 
@@ -86,4 +118,7 @@
   override FGSHLN := --no-whole-archiv
   override CMDSHLCXX := $(LINK.cc) -shared 
+  ifeq ($(EROSCXX), KCC)
+    override CMDSHLCXX := $(LINK.cc)
+  endif
   override FGSHLACXX := 
   override FGSHLNCXX := 
@@ -91,5 +126,33 @@
   override TILSHL := 
   override CMDTILSHL := echo 'No Template instanciation library'
+  override LIBXPATH := -L/usr/X11/lib -L/usr/X11R6/lib
+endif
+
+# Construction de shared-libs sous Sun-OS
+ifeq ($(MACHEROS),SunOS)
+  override CMDSHL := ld -G
+  override FGSHLA := -z allextract
+  override FGSHLN := -z weakextract
+  override LIBLSHL := $(LIBG) -lm -lc
+  override TILSHL := 
+  override CMDTILSHL := echo 'No Template instanciation library'
   override LIBXPATH := -L/usr/X11/lib
+  override USECXX4SO := Y
+endif
+
+# Construction de shared-libs sous SGI
+ifeq ($(MACHEROS), IRIX64)
+  override CMDSHL := ld -shared
+  override FGSHLA := -all
+  override FGSHLN := -notall
+  override LIBLSHL := $(LIBG) -lm -lc
+  override TILSHL := 
+  override CMDTILSHL := echo 'No Template instanciation library'
+  ifeq ($(EROSCXX), CC)
+    override CMDSHLCXX := CC -shared 
+    override LIBLSHL := -lm -lc
+  endif
+  override LIBXPATH := -L/usr/X11/lib
+  override USECXX4SO := Y
 endif
 
@@ -99,4 +162,5 @@
 OBJBlitz = $(shell echo `cat ./Blitz/Blitz.o.list`)
 OBJSamba = $(shell echo `cat ./Samba/Samba.o.list`)
+OBJFitsIOServer = $(shell echo `cat ./FitsIOServer/FitsIOServer.o.list`)
 OBJPI         = $(shell echo `cat ./PI/PI.o.list`)
 OBJPIext      = $(shell echo `cat ./PIext/PIext.o.list`)
@@ -110,6 +174,6 @@
 	cd $(OBJ); \
 	$(CMDSHLCXX) -o $(SLB)libtools.so \
-	$(FGSHLACXX) $(OBJSysTools) $(OBJNTools) $(OBJSamba) $(OBJBlitz) $(TILSHL) \
-	$(FGSHLNCXX) -L$(SLB) $(LIBLSHL)
+	$(FGSHLACXX) $(OBJSysTools) $(OBJNTools) $(OBJSamba) $(OBJFitsIOServer) $(OBJBlitz) $(TILSHL) \
+	$(FGSHLNCXX) -L$(SLB) $(LIBLSHL)   $(FITSIOLIB) 
 
 
Index: trunk/SophyaLib/NTools/Makefile
===================================================================
--- trunk/SophyaLib/NTools/Makefile	(revision 509)
+++ trunk/SophyaLib/NTools/Makefile	(revision 510)
@@ -3,228 +3,275 @@
 all: $(LIB)libNTools.a
 clean:
-	rm -f $(OBJ)cimage.o $(OBJ)cspline.o $(OBJ)cvector.o $(OBJ)datacards.o $(OBJ)datatypes.o $(OBJ)dates.o $(OBJ)difeq.o $(OBJ)dvlist.o $(OBJ)dynccd.o $(OBJ)fct1dfit.o $(OBJ)fct2dfit.o $(OBJ)generaldata.o $(OBJ)generalfit.o $(OBJ)hisprof.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)imageop.o $(OBJ)integ.o $(OBJ)linfit.o $(OBJ)matrix.o $(OBJ)median.o $(OBJ)ntuple.o $(OBJ)outilsinit.o $(OBJ)perandom.o $(OBJ)poly.o $(OBJ)pversion.o $(OBJ)rk4cdifeq.o $(OBJ)rzimage.o $(OBJ)simplesort.o $(OBJ)tabmath.o $(OBJ)utils.o $(OBJ)datime.o $(OBJ)matxop.o $(OBJ)nbmath.o $(OBJ)nbrandom.o $(OBJ)nbtri.o $(OBJ)strutil.o
+	rm -f $(OBJ)cimage.o $(OBJ)cspline.o $(OBJ)cvector.o $(OBJ)datacards.o $(OBJ)datatypes.o $(OBJ)dates.o $(OBJ)difeq.o $(OBJ)dvlist.o $(OBJ)dynccd.o $(OBJ)fct1dfit.o $(OBJ)fct2dfit.o $(OBJ)fftserver.o $(OBJ)generaldata.o $(OBJ)generalfit.o $(OBJ)hisprof.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)imageop.o $(OBJ)integ.o $(OBJ)linfit.o $(OBJ)matrix.o $(OBJ)median.o $(OBJ)ntupintf.o $(OBJ)ntuple.o $(OBJ)outilsinit.o $(OBJ)perandom.o $(OBJ)poly.o $(OBJ)pversion.o $(OBJ)rk4cdifeq.o $(OBJ)rzimage.o $(OBJ)simplesort.o $(OBJ)tabmath.o $(OBJ)tmatrix.o $(OBJ)tvector.o $(OBJ)utils.o $(OBJ)datime.o $(OBJ)fftpackc.o $(OBJ)matxop.o $(OBJ)nbmath.o $(OBJ)nbrandom.o $(OBJ)nbtri.o $(OBJ)strutil.o
 	rm $(LIB)libNTools.a
-$(LIB)libNTools.a : $(OBJ)cimage.o $(OBJ)cspline.o $(OBJ)cvector.o $(OBJ)datacards.o $(OBJ)datatypes.o $(OBJ)dates.o $(OBJ)datime.o $(OBJ)difeq.o $(OBJ)dvlist.o $(OBJ)dynccd.o $(OBJ)fct1dfit.o $(OBJ)fct2dfit.o $(OBJ)generaldata.o $(OBJ)generalfit.o $(OBJ)hisprof.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)imageop.o $(OBJ)integ.o $(OBJ)linfit.o $(OBJ)matrix.o $(OBJ)matxop.o $(OBJ)median.o $(OBJ)nbmath.o $(OBJ)nbrandom.o $(OBJ)nbtri.o $(OBJ)ntuple.o $(OBJ)outilsinit.o $(OBJ)perandom.o $(OBJ)poly.o $(OBJ)pversion.o $(OBJ)rk4cdifeq.o $(OBJ)rzimage.o $(OBJ)simplesort.o $(OBJ)strutil.o $(OBJ)tabmath.o $(OBJ)utils.o
-	$(AR) $(ARFLAGS) $@ $?
+$(LIB)libNTools.a : $(OBJ)cimage.o $(OBJ)cspline.o  $(OBJ)cvector.o $(OBJ)datacards.o $(OBJ)datatypes.o $(OBJ)dates.o $(OBJ)datime.o $(OBJ)difeq.o $(OBJ)dvlist.o $(OBJ)dynccd.o $(OBJ)fct1dfit.o $(OBJ)fct2dfit.o $(OBJ)fftpackc.o $(OBJ)fftserver.o $(OBJ)generaldata.o $(OBJ)generalfit.o $(OBJ)hisprof.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)imageop.o $(OBJ)integ.o $(OBJ)linfit.o $(OBJ)matrix.o $(OBJ)matxop.o $(OBJ)median.o $(OBJ)nbmath.o $(OBJ)nbrandom.o $(OBJ)nbtri.o $(OBJ)ntupintf.o $(OBJ)ntuple.o $(OBJ)outilsinit.o $(OBJ)perandom.o $(OBJ)poly.o $(OBJ)pversion.o $(OBJ)rk4cdifeq.o $(OBJ)rzimage.o $(OBJ)simplesort.o $(OBJ)strutil.o $(OBJ)tabmath.o $(OBJ)tmatrix.o $(OBJ)tvector.o $(OBJ)utils.o
+	$(ARCXX) $(ARCXXFLAGS) $@ $?
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lNTools -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lNTools -lSamba -o $(OBJ)xx.x -Hf
 endif 
  
-$(OBJ)cimage.o: cimage.cc $(INC)defs.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h cimage.h rzimage.h rzvect.h \
- $(INC)machine.h datatypes.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h dvlist.h fct1dfit.h \
- generalfit.h matrix.h peida.h utils.h fmath.h cvector.h generaldata.h \
+$(OBJ)cimage.o: cimage.cc $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h cimage.h rzimage.h \
+ rzvect.h datatypes.h $(INC)ppersist.h \
+ $(INC)md5.h dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h fct1dfit.h generalfit.h \
+ matrix.h peida.h utils.h fmath.h cvector.h generaldata.h ntupintf.h \
  poly.h histos.h nbconst.h
-$(OBJ)cspline.o: cspline.cc $(INC)defs.h nbtri.h \
- cspline.h cvector.h matrix.h peida.h utils.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h fmath.h \
- $(INC)ppersist.h \
+$(OBJ)cspline.o: cspline.cc $(INC)machdefs.h \
+ $(INC)pclassids.h nbtri.h cspline.h \
+ cvector.h matrix.h peida.h utils.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h fmath.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h
+$(OBJ)cvector.o: cvector.cc $(INC)machdefs.h \
+ $(INC)pclassids.h cvector.h matrix.h \
+ peida.h utils.h $(INC)perrors.h \
+ $(INC)pexceptions.h fmath.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h generalfit.h generaldata.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h ntupintf.h poly.h \
+ tvector.h tmatrix.h $(INC)ndatablock.h
+$(OBJ)datacards.o: datacards.cc $(INC)machdefs.h \
+ $(INC)pclassids.h datacards.h peida.h \
+ utils.h $(INC)perrors.h \
+ $(INC)pexceptions.h fmath.h
+$(OBJ)datatypes.o: datatypes.cc datatypes.h \
+ $(INC)machdefs.h \
  $(INC)pclassids.h
-$(OBJ)cvector.o: cvector.cc $(INC)defs.h cvector.h \
- matrix.h peida.h utils.h $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h fmath.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h generalfit.h generaldata.h \
- poly.h
-$(OBJ)datacards.o: datacards.cc $(INC)defs.h \
- datacards.h peida.h utils.h $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h fmath.h
-$(OBJ)datatypes.o: datatypes.cc $(INC)defs.h \
- datatypes.h $(INC)machine.h
-$(OBJ)dates.o: dates.cc $(INC)defs.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h dates.h
-$(OBJ)difeq.o: difeq.cc $(INC)defs.h difeq.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h cvector.h matrix.h peida.h \
- utils.h $(INC)machine.h \
- $(INC)perrors.h fmath.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h \
- $(INC)ctimer.h \
- $(INC)peida.h
-$(OBJ)dvlist.o: dvlist.cc $(INC)defs.h dvlist.h \
- $(INC)ppersist.h \
- $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)pclassids.h strutil.h
-$(OBJ)dynccd.o: dynccd.cc $(INC)defs.h fmath.h \
- perandom.h $(INC)machine.h histos.h peida.h \
+$(OBJ)dates.o: dates.cc $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h dates.h
+$(OBJ)difeq.o: difeq.cc difeq.h $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h cvector.h matrix.h \
+ peida.h utils.h $(INC)perrors.h fmath.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h \
+ $(INC)ctimer.h
+$(OBJ)dvlist.o: dvlist.cc $(INC)machdefs.h \
+ $(INC)pclassids.h dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)md5.h strutil.h
+$(OBJ)dynccd.o: dynccd.cc $(INC)machdefs.h \
+ $(INC)pclassids.h fmath.h perandom.h \
+ histos.h $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)md5.h peida.h utils.h \
+ $(INC)perrors.h cvector.h matrix.h \
+ nbrandom.h cimage.h rzimage.h rzvect.h datatypes.h dvlist.h dynccd.h
+$(OBJ)fct1dfit.o: fct1dfit.cc $(INC)machdefs.h \
+ $(INC)pclassids.h fct1dfit.h generalfit.h \
+ $(INC)pexceptions.h matrix.h peida.h \
+ utils.h $(INC)perrors.h fmath.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h cvector.h generaldata.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h ntupintf.h poly.h \
+ nbconst.h tabmath.h
+$(OBJ)fct2dfit.o: fct2dfit.cc $(INC)machdefs.h \
+ $(INC)pclassids.h fct2dfit.h generalfit.h \
+ $(INC)pexceptions.h matrix.h peida.h \
+ utils.h $(INC)perrors.h fmath.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h cvector.h generaldata.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h ntupintf.h poly.h \
+ nbconst.h tabmath.h simps2d.h
+$(OBJ)fftserver.o: fftserver.cc fftserver.h cvector.h matrix.h peida.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h utils.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h fmath.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h
+$(OBJ)generaldata.o: generaldata.cc \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h strutil.h nbtri.h \
+ generalfit.h $(INC)pexceptions.h matrix.h \
+ peida.h utils.h $(INC)perrors.h fmath.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h cvector.h generaldata.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h ntupintf.h poly.h
+$(OBJ)generalfit.o: generalfit.cc $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h generalfit.h matrix.h \
+ peida.h utils.h $(INC)perrors.h fmath.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h cvector.h generaldata.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h ntupintf.h poly.h
+$(OBJ)hisprof.o: hisprof.cc $(INC)machdefs.h \
+ $(INC)pclassids.h hisprof.h peida.h utils.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h fmath.h cvector.h \
+ matrix.h $(INC)ppersist.h \
+ $(INC)md5.h histos.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h
+$(OBJ)histos.o: histos.cc $(INC)machdefs.h \
+ $(INC)pclassids.h histos.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)md5.h peida.h utils.h \
+ $(INC)perrors.h fmath.h cvector.h matrix.h \
+ poly.h strutil.h generalfit.h generaldata.h ntupintf.h
+$(OBJ)histos2.o: histos2.cc $(INC)machdefs.h \
+ $(INC)pclassids.h histos2.h peida.h utils.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h fmath.h histos.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h cvector.h matrix.h generalfit.h \
+ generaldata.h ntupintf.h poly.h
+$(OBJ)imageop.o: imageop.cc $(INC)machdefs.h \
+ $(INC)pclassids.h simplesort.h peida.h \
  utils.h $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h cvector.h matrix.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h nbrandom.h cimage.h \
- rzimage.h rzvect.h datatypes.h dvlist.h dynccd.h
-$(OBJ)fct1dfit.o: fct1dfit.cc $(INC)defs.h fct1dfit.h \
- generalfit.h $(INC)exceptions.h \
- $(INC)peidainit.h matrix.h peida.h utils.h \
- $(INC)machine.h \
- $(INC)perrors.h fmath.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h cvector.h generaldata.h \
- poly.h nbconst.h tabmath.h
-$(OBJ)fct2dfit.o: fct2dfit.cc $(INC)defs.h fct2dfit.h \
- generalfit.h $(INC)exceptions.h \
- $(INC)peidainit.h matrix.h peida.h utils.h \
- $(INC)machine.h \
- $(INC)perrors.h fmath.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h cvector.h generaldata.h \
- poly.h nbconst.h tabmath.h simps2d.h
-$(OBJ)generaldata.o: generaldata.cc $(INC)defs.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h nbtri.h generalfit.h \
- matrix.h peida.h utils.h fmath.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h cvector.h generaldata.h \
- poly.h
-$(OBJ)generalfit.o: generalfit.cc $(INC)defs.h \
- generalfit.h $(INC)exceptions.h \
- $(INC)peidainit.h matrix.h peida.h utils.h \
- $(INC)machine.h \
- $(INC)perrors.h fmath.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h cvector.h generaldata.h \
- poly.h nbconst.h tabmath.h
-$(OBJ)hisprof.o: hisprof.cc $(INC)defs.h hisprof.h \
- peida.h utils.h $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h fmath.h cvector.h matrix.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h histos.h
-$(OBJ)histos.o: histos.cc $(INC)defs.h histos.h \
- peida.h utils.h $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h fmath.h cvector.h matrix.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h poly.h strutil.h \
- generalfit.h generaldata.h
-$(OBJ)histos2.o: histos2.cc $(INC)defs.h histos2.h \
- peida.h utils.h $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h fmath.h histos.h cvector.h \
+ $(INC)pexceptions.h fmath.h nbmath.h \
+ histos.h $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h cvector.h matrix.h datatypes.h \
+ imageop.h cimage.h rzimage.h rzvect.h dvlist.h cspline.h dynccd.h \
+ nbtri.h
+$(OBJ)integ.o: integ.cc integ.h $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h generalfit.h matrix.h \
+ peida.h utils.h $(INC)perrors.h fmath.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h cvector.h generaldata.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h ntupintf.h poly.h
+$(OBJ)linfit.o: linfit.cc $(INC)machdefs.h \
+ $(INC)pclassids.h peida.h utils.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h fmath.h linfit.h \
  matrix.h $(INC)ppersist.h \
- $(INC)pclassids.h generalfit.h generaldata.h \
- poly.h
-$(OBJ)imageop.o: imageop.cc $(INC)defs.h simplesort.h \
- peida.h utils.h $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h fmath.h nbmath.h histos.h \
- cvector.h matrix.h $(INC)ppersist.h \
- $(INC)pclassids.h datatypes.h imageop.h \
- cimage.h rzimage.h rzvect.h dvlist.h cspline.h nbtri.h
-$(OBJ)integ.o: integ.cc $(INC)defs.h integ.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h generalfit.h matrix.h \
- peida.h utils.h $(INC)machine.h \
- $(INC)perrors.h fmath.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h cvector.h generaldata.h \
- poly.h
-$(OBJ)linfit.o: linfit.cc $(INC)defs.h peida.h \
- utils.h $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h fmath.h linfit.h matrix.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h cvector.h
-$(OBJ)matrix.o: matrix.cc $(INC)defs.h peida.h \
- utils.h $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h fmath.h matrix.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h cvector.h generalfit.h \
- generaldata.h poly.h
+ $(INC)md5.h cvector.h
+$(OBJ)matrix.o: matrix.cc $(INC)machdefs.h \
+ $(INC)pclassids.h peida.h utils.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h fmath.h matrix.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h cvector.h generalfit.h \
+ generaldata.h $(INC)objfio.h \
+ $(INC)anydataobj.h ntupintf.h poly.h \
+ tmatrix.h $(INC)ndatablock.h
 $(OBJ)median.o: median.cc
-$(OBJ)ntuple.o: ntuple.cc $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)defs.h \
- $(INC)peidainit.h ntuple.h \
- $(INC)ppersist.h \
- $(INC)machine.h \
- $(INC)pclassids.h dvlist.h
+$(OBJ)ntupintf.o: ntupintf.cc ntupintf.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h
+$(OBJ)ntuple.o: ntuple.cc strutil.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h ntuple.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h ntupintf.h dvlist.h
 $(OBJ)outilsinit.o: outilsinit.cc outilsinit.h \
  $(INC)peidainit.h \
- $(INC)defs.h matrix.h peida.h utils.h \
- $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h fmath.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h cvector.h poly.h dvlist.h \
- histos.h histos2.h hisprof.h ntuple.h generaldata.h cimage.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h matrix.h peida.h utils.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h fmath.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h cvector.h poly.h dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h histos.h histos2.h \
+ hisprof.h ntuple.h ntupintf.h generaldata.h tmatrix.h \
+ $(INC)ndatablock.h tvector.h cimage.h \
  rzimage.h rzvect.h datatypes.h tabmath.h nbconst.h dates.h datime.h
-$(OBJ)perandom.o: perandom.cc $(INC)defs.h perandom.h \
- $(INC)machine.h histos.h peida.h utils.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h fmath.h cvector.h matrix.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h nbrandom.h pemath.h
-$(OBJ)poly.o: poly.cc $(INC)defs.h poly.h peida.h \
- utils.h $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h fmath.h cvector.h matrix.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h linfit.h
+$(OBJ)perandom.o: perandom.cc $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h perandom.h histos.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h peida.h utils.h \
+ $(INC)perrors.h fmath.h cvector.h matrix.h \
+ nbrandom.h pemath.h
+$(OBJ)poly.o: poly.cc $(INC)machdefs.h \
+ $(INC)pclassids.h poly.h peida.h utils.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h fmath.h cvector.h \
+ matrix.h $(INC)ppersist.h \
+ $(INC)md5.h linfit.h
 $(OBJ)pversion.o: pversion.cc pversion.h \
  $(INC)peidainit.h \
- $(INC)defs.h
-$(OBJ)rk4cdifeq.o: rk4cdifeq.cc $(INC)defs.h \
- rk4cdifeq.h difeq.h $(INC)exceptions.h \
- $(INC)peidainit.h cvector.h matrix.h peida.h \
- utils.h $(INC)machine.h \
- $(INC)perrors.h fmath.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h \
- $(INC)ctimer.h \
- $(INC)peida.h
-$(OBJ)rzimage.o: rzimage.cc $(INC)defs.h rzimage.h \
- rzvect.h $(INC)machine.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h
+$(OBJ)rk4cdifeq.o: rk4cdifeq.cc $(INC)machdefs.h \
+ $(INC)pclassids.h rk4cdifeq.h difeq.h \
+ $(INC)pexceptions.h cvector.h matrix.h \
+ peida.h utils.h $(INC)perrors.h fmath.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h \
+ $(INC)ctimer.h
+$(OBJ)rzimage.o: rzimage.cc $(INC)machdefs.h \
+ $(INC)pclassids.h rzimage.h rzvect.h \
+ $(INC)pexceptions.h \
  $(INC)perrors.h datatypes.h \
  $(INC)ppersist.h \
- $(INC)pclassids.h dvlist.h generalfit.h \
- matrix.h peida.h utils.h fmath.h cvector.h generaldata.h poly.h
-$(OBJ)simplesort.o: simplesort.cc $(INC)defs.h \
- simplesort.h peida.h utils.h $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h fmath.h
-$(OBJ)tabmath.o: tabmath.cc $(INC)defs.h tabmath.h \
- peida.h utils.h $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h fmath.h nbconst.h
-$(OBJ)utils.o: utils.cc $(INC)defs.h utils.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h
-$(OBJ)datime.o: datime.c $(INC)defs.h strutil.h \
- nbconst.h datime.h
-$(OBJ)matxop.o: matxop.c matxop.h nbmath.h
-$(OBJ)nbmath.o: nbmath.c nbmath.h matxop.h nbinteg.h nbtri.h
-$(OBJ)nbrandom.o: nbrandom.c $(INC)defs.h \
- $(INC)machine.h nbmath.h nbrandom.h
-$(OBJ)nbtri.o: nbtri.c nbtri.h
+ $(INC)md5.h dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h generalfit.h matrix.h \
+ peida.h utils.h fmath.h cvector.h generaldata.h ntupintf.h poly.h
+$(OBJ)simplesort.o: simplesort.cc $(INC)machdefs.h \
+ $(INC)pclassids.h simplesort.h peida.h \
+ utils.h $(INC)perrors.h \
+ $(INC)pexceptions.h fmath.h
+$(OBJ)tabmath.o: tabmath.cc $(INC)machdefs.h \
+ $(INC)pclassids.h tabmath.h peida.h utils.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h fmath.h nbconst.h
+$(OBJ)tmatrix.o: tmatrix.cc $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h tmatrix.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h \
+ $(INC)anydataobj.h \
+ $(INC)ndatablock.h \
+ $(INC)objfio.h matrix.h peida.h utils.h \
+ $(INC)perrors.h fmath.h generalfit.h \
+ cvector.h generaldata.h ntupintf.h poly.h tvector.h
+$(OBJ)tvector.o: tvector.cc $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h tvector.h tmatrix.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h \
+ $(INC)anydataobj.h \
+ $(INC)ndatablock.h \
+ $(INC)objfio.h generalfit.h matrix.h \
+ peida.h utils.h $(INC)perrors.h fmath.h \
+ cvector.h generaldata.h ntupintf.h poly.h
+$(OBJ)utils.o: utils.cc $(INC)machdefs.h \
+ $(INC)pclassids.h utils.h \
+ $(INC)pexceptions.h
+$(OBJ)datime.o: datime.c $(INC)machdefs.h \
+ strutil.h nbconst.h datime.h
+$(OBJ)fftpackc.o: fftpackc.c fftpackc.h \
+ $(INC)machdefs.h
+$(OBJ)matxop.o: matxop.c matxop.h nbmath.h \
+ $(INC)machdefs.h
+$(OBJ)nbmath.o: nbmath.c nbmath.h $(INC)machdefs.h \
+ matxop.h nbinteg.h nbtri.h
+$(OBJ)nbrandom.o: nbrandom.c $(INC)machdefs.h \
+ nbmath.h nbrandom.h
+$(OBJ)nbtri.o: nbtri.c nbtri.h $(INC)machdefs.h
 $(OBJ)strutil.o: strutil.c strutil.h
Index: trunk/SophyaLib/Samba/Makefile
===================================================================
--- trunk/SophyaLib/Samba/Makefile	(revision 509)
+++ trunk/SophyaLib/Samba/Makefile	(revision 510)
@@ -3,28 +3,37 @@
 all: $(LIB)libSamba.a
 clean:
-	rm -f $(OBJ)bruit.o $(OBJ)circle.o $(OBJ)gorfph.o $(OBJ)localmap.o $(OBJ)longlat.o $(OBJ)mlobe.o $(OBJ)scan.o $(OBJ)spheregorski.o $(OBJ)spherethetaphi.o $(OBJ)unitvector.o $(OBJ)utilgeom.o $(OBJ)vector3d.o
+	rm -f $(OBJ)anagen.o $(OBJ)bruit.o $(OBJ)circle.o $(OBJ)gorfph.o $(OBJ)lambuilder.o $(OBJ)localmap.o $(OBJ)longlat.o $(OBJ)mlobe.o $(OBJ)scan.o $(OBJ)spheregorski.o $(OBJ)spherethetaphi.o $(OBJ)syngen.o $(OBJ)unitvector.o $(OBJ)utilgeom.o $(OBJ)vector3d.o
 	rm $(LIB)libSamba.a
 $(LIB)libSamba.a : $(OBJ)bruit.o $(OBJ)circle.o $(OBJ)gorfph.o $(OBJ)localmap.o $(OBJ)longlat.o $(OBJ)mlobe.o $(OBJ)scan.o $(OBJ)spheregorski.o $(OBJ)spherethetaphi.o $(OBJ)unitvector.o $(OBJ)utilgeom.o $(OBJ)vector3d.o
-	$(AR) $(ARFLAGS) $@ $?
+	$(ARCXX) $(ARCXXFLAGS) $@ $?
 ifeq ($(CXX),cxx)
 	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lSamba -o $(OBJ)xx.x -Hf
 endif 
  
-$(OBJ)bruit.o: bruit.cc $(INC)fmath.h \
- $(INC)cimage.h \
- $(INC)rzimage.h \
- $(INC)rzvect.h \
+$(OBJ)anagen.o: anagen.cc anagen.h $(INC)cvector.h \
+ $(INC)matrix.h \
+ $(INC)peida.h \
  $(INC)machdefs.h \
  $(INC)pclassids.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
  $(INC)pexceptions.h \
- $(INC)perrors.h \
- $(INC)datatypes.h \
+ $(INC)fmath.h \
  $(INC)ppersist.h \
- $(INC)md5.h \
- $(INC)dvlist.h bruit.h \
+ $(INC)md5.h sphericalmap.h \
+ $(INC)nbmath.h pixelmap.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)ndatablock.h lambuilder.h \
+ $(INC)fftserver.h
+$(OBJ)bruit.o: bruit.cc $(INC)fmath.h bruit.h \
  $(INC)nbrandom.h \
- $(INC)hbook.h
+ $(INC)machdefs.h \
+ $(INC)pclassids.h
 $(OBJ)circle.o: circle.cc circle.h vector3d.h longlat.h utilgeom.h \
- unitvector.h
+ unitvector.h geometry.h
 $(OBJ)gorfph.o: gorfph.cc
 $(OBJ)localmap.o: localmap.cc localmap.h pixelmap.h \
@@ -34,12 +43,12 @@
  $(INC)pexceptions.h \
  $(INC)md5.h \
- $(INC)dvlist.h sphericalmap.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h sphericalmap.h \
  $(INC)nbmath.h \
- $(INC)cvector.h \
- $(INC)matrix.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)perrors.h \
- $(INC)fmath.h
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)ndatablock.h \
+ $(INC)piocmplx.h
 $(OBJ)longlat.o: longlat.cc longlat.h utilgeom.h
 $(OBJ)mlobe.o: mlobe.cc mlobe.h sphericalmap.h \
@@ -51,10 +60,9 @@
  $(INC)md5.h \
  $(INC)dvlist.h \
- $(INC)cvector.h \
- $(INC)matrix.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)perrors.h \
- $(INC)fmath.h unitvector.h vector3d.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)ndatablock.h unitvector.h vector3d.h \
  longlat.h utilgeom.h $(INC)timing.h
 $(OBJ)scan.o: scan.cc $(INC)machdefs.h \
@@ -64,4 +72,6 @@
  $(INC)md5.h \
  $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
  $(INC)nbmath.h
 $(OBJ)spheregorski.o: spheregorski.cc spheregorski.h sphericalmap.h \
@@ -73,11 +83,11 @@
  $(INC)md5.h \
  $(INC)dvlist.h \
- $(INC)cvector.h \
- $(INC)matrix.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)perrors.h \
- $(INC)fmath.h \
- $(INC)strutil.h
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)ndatablock.h \
+ $(INC)strutil.h \
+ $(INC)piocmplx.h
 $(OBJ)spherethetaphi.o: spherethetaphi.cc spherethetaphi.h sphericalmap.h \
  $(INC)nbmath.h \
@@ -88,12 +98,31 @@
  $(INC)md5.h \
  $(INC)dvlist.h \
- $(INC)cvector.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)ndatablock.h \
+ $(INC)piocmplx.h
+$(OBJ)syngen.o: syngen.cc syngen.h $(INC)cvector.h \
  $(INC)matrix.h \
  $(INC)peida.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
  $(INC)utils.h \
  $(INC)perrors.h \
- $(INC)fmath.h pdataarray.h prefcount.h
+ $(INC)pexceptions.h \
+ $(INC)fmath.h \
+ $(INC)ppersist.h \
+ $(INC)md5.h sphericalmap.h \
+ $(INC)nbmath.h pixelmap.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)ndatablock.h lambuilder.h \
+ $(INC)fftserver.h
 $(OBJ)unitvector.o: unitvector.cc unitvector.h vector3d.h longlat.h \
  utilgeom.h
-$(OBJ)utilgeom.o: utilgeom.cc
+$(OBJ)utilgeom.o: utilgeom.cc utilgeom.h
 $(OBJ)vector3d.o: vector3d.cc vector3d.h longlat.h utilgeom.h
